libzypp 17.37.10

provide.h File Reference
`#include <zypp-core/fs/PathInfo.h>`
`#include <zypp-core/ManagedFile.h>`
`#include <zypp-core/MirroredOrigin.h>`
`#include <zypp-core/zyppng/base/zyppglobal.h>`
`#include <zypp-core/zyppng/base/Base>`
`#include <zypp-core/zyppng/async/AsyncOp>`
`#include <zypp-core/zyppng/pipelines/expected.h>`
`#include <zypp-core/ByteCount.h>`
`#include <zypp-media/ng/LazyMediaHandle>`
`#include <zypp-media/ng/ProvideFwd>`
`#include <zypp-media/ng/ProvideRes>`
`#include <zypp-media/auth/AuthData>`
`#include <boost/any.hpp>`

Go to the source code of this file.

## Classes
class | zyppng::ProvideMediaHandle
class | zyppng::ProvideStatus
struct | zyppng::ProvideStatus::Stats
class | zyppng::Provide

## Namespaces
namespace | zypp
| Easy-to use interface to the ZYPP dependency resolver.
namespace | zypp::media
namespace | zyppng

## Typedefs
using | zyppng::AnyMap = std::unordered_map<std::string, boost::any>

## Functions
| zyppng::DEFINE_PTR_TYPE (AttachedMediaInfo)